net.minecraftforge.client.event

## Class EntityViewRenderEvent.FogColors

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.EntityViewRenderEvent
    - - net.minecraftforge.client.event.EntityViewRenderEvent.FogColors

- Enclosing class:
    EntityViewRenderEvent

      public static class EntityViewRenderEvent.FogColors
      extends EntityViewRenderEvent

  Event that allows any feature to customize the color of fog the player sees. NOTE: Any change made to one of the color variables will affect the result seen in-game.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.EntityViewRenderEvent

      `EntityViewRenderEvent.FogColors, EntityViewRenderEvent.FogDensity`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `blue`
    `float` | `green`
    `float` | `red`

    - ### Fields inherited from class net.minecraftforge.client.event.EntityViewRenderEvent

      `block, entity, renderer, renderPartialTicks`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityViewRenderEvent.FogColors(EntityRenderer renderer, EntityLivingBase entity, Block block, double renderPartialTicks, float red, float green, float blue)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### red

          public float red

    - #### green

          public float green

    - #### blue

          public float blue

  - ### Constructor Detail

    - #### EntityViewRenderEvent.FogColors

          public EntityViewRenderEvent.FogColors(EntityRenderer renderer,
                                         EntityLivingBase entity,
                                         Block block,
                                         double renderPartialTicks,
                                         float red,
                                         float green,
                                         float blue)